> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Exchange Data by ID

> To query exchange's data (name, year established, country, etc.), exchange volume in BTC and top 100 tickers based on exchange's ID

export const CacheInfo = ({publicRate, paidRate, rate}) => {
  const fmt = v => v === 0 ? 'Real-time (Cacheless)' : `Every ${v}`;
  if (rate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><br />{fmt(rate)}
      </Callout>;
  }
  if (publicRate !== undefined && paidRate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><ul><li>{fmt(paidRate)} (Paid API)</li><li>{fmt(publicRate)} (Demo / Keyless API)</li></ul>
      </Callout>;
  }
  return null;
};

#### Notes

* Exchange volume is provided in BTC. Use [Exchange Rates](/demo/reference/exchange-rates) to convert to other currencies.
* Tickers are limited to 100 items. Use [Exchange Tickers](/demo/reference/exchanges-id-tickers) for more.
* For derivatives exchanges (e.g. `bitmex`, `binance_futures`), use [Derivatives Exchange Data](/demo/reference/derivatives-exchanges-id) instead.
* When `dex_pair_format=symbol`, DEX pair `base` and `target` display as symbols (e.g. `WETH`, `USDC`) instead of contract addresses.

<CacheInfo rate="60 seconds" />

#### SDK Examples

<CodeGroup>
  ```typescript TypeScript theme={null}
  const response = await client.exchanges.getID('binance');

  console.log(JSON.stringify(response, null, 2));
  ```

  ```python Python theme={null}
  response = client.exchanges.get_id("binance")

  print(response.model_dump_json(indent=2))
  ```
</CodeGroup>


## OpenAPI

````yaml openapi-specs/demo-api.json get /exchanges/{id}
openapi: 3.0.0
info:
  title: CoinGecko Demo API
  version: 3.0.0
servers:
  - url: https://api.coingecko.com/api/v3
security:
  - headerAuth: []
  - queryAuth: []
paths:
  /exchanges/{id}:
    get:
      summary: Exchange Data by ID
      description: >-
        To query exchange's data (name, year established, country, etc.),
        exchange volume in BTC and top 100 tickers based on exchange's ID
      operationId: exchanges-id
      parameters:
        - name: id
          in: path
          required: true
          description: |-
            Exchange ID. 
            *refers to [`/exchanges/list`](/reference/exchanges-list).
          schema:
            type: string
            default: binance
        - name: dex_pair_format
          in: query
          required: false
          description: |-
            Set to `symbol` to display DEX pair base and target as symbols. 
            Default: `contract_address`
          schema:
            type: string
            enum:
              - contract_address
              - symbol
      responses:
        '200':
          description: Exchange data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExchangesId'
              example:
                name: Binance
                year_established: 2017
                country: Cayman Islands
                description: >-
                  One of the world's largest cryptocurrency exchanges by trading
                  volume.
                url: https://www.binance.com/
                image: >-
                  https://coin-images.coingecko.com/markets/images/52/small/binance.jpg?1706864274
                facebook_url: https://www.facebook.com/binanceexchange
                reddit_url: https://www.reddit.com/r/binance/
                telegram_url: ''
                slack_url: ''
                other_url_1: https://medium.com/binanceexchange
                other_url_2: https://steemit.com/@binanceexchange
                twitter_handle: binance
                has_trading_incentive: false
                centralized: true
                public_notice: ''
                alert_notice: ''
                trust_score: 10
                trust_score_rank: 2
                coins: 435
                pairs: 1391
                trade_volume_24h_btc: 95073.68489926813
                tickers:
                  - base: USDC
                    target: USDT
                    market:
                      name: Binance
                      identifier: binance
                      has_trading_incentive: false
                    last: 1.00087
                    volume: 2089887585
                    converted_last:
                      btc: 0.00001301
                      eth: 0.00047417
                      usd: 0.999569
                    converted_volume:
                      btc: 27187
                      eth: 990971
                      usd: 2088986570
                    trust_score: null
                    bid_ask_spread_percentage: 0.010999
                    timestamp: '2026-05-26T10:21:17+00:00'
                    last_traded_at: '2026-05-26T10:21:17+00:00'
                    last_fetch_at: '2026-05-26T10:23:00+00:00'
                    is_anomaly: false
                    is_stale: false
                    trade_url: https://www.binance.com/en/trade/USDC_USDT?ref=37754157
                    token_info_url: null
                    coin_id: usd-coin
                    target_coin_id: tether
                    coin_mcap_usd: 76286248956.20789
                  - base: BTC
                    target: USDT
                    market:
                      name: Binance
                      identifier: binance
                      has_trading_incentive: false
                    last: 76960
                    volume: 9037.21995
                    converted_last:
                      btc: 1.000348
                      eth: 36.491428
                      usd: 76860
                    converted_volume:
                      btc: 9040
                      eth: 329781
                      usd: 694600292
                    trust_score: null
                    bid_ask_spread_percentage: 0.010013
                    timestamp: '2026-05-26T10:21:39+00:00'
                    last_traded_at: '2026-05-26T10:21:39+00:00'
                    last_fetch_at: '2026-05-26T10:22:33+00:00'
                    is_anomaly: false
                    is_stale: false
                    trade_url: https://www.binance.com/en/trade/BTC_USDT?ref=37754157
                    token_info_url: null
                    coin_id: bitcoin
                    target_coin_id: tether
                    coin_mcap_usd: 1536007329547.9153
                status_updates:
                  - description: >-
                      Juventus and Paris Saint-Germain Fan Tokens on Binance
                      Launchpool!
                    category: general
                    created_at: '2020-12-14T11:18:49.085Z'
                    user: Darc
                    user_title: Marketing
                    pin: false
                    project:
                      type: Market
                      id: binance
                      name: Binance
                      image:
                        thumb: >-
                          https://coin-images.coingecko.com/markets/images/52/thumb/binance.jpg?1706864274
                        small: >-
                          https://coin-images.coingecko.com/markets/images/52/small/binance.jpg?1706864274
                        large: >-
                          https://coin-images.coingecko.com/markets/images/52/large/binance.jpg?1706864274
components:
  schemas:
    ExchangesId:
      type: object
      required:
        - name
        - year_established
        - country
        - description
        - url
        - image
        - facebook_url
        - reddit_url
        - telegram_url
        - slack_url
        - other_url_1
        - other_url_2
        - twitter_handle
        - has_trading_incentive
        - centralized
        - public_notice
        - alert_notice
        - trust_score
        - trust_score_rank
        - coins
        - pairs
        - trade_volume_24h_btc
        - tickers
        - status_updates
      properties:
        name:
          type: string
          description: Exchange name
        year_established:
          type: number
          nullable: true
          description: Year the exchange was established
        country:
          type: string
          nullable: true
          description: Country where the exchange is based
        description:
          type: string
          description: Exchange description
        url:
          type: string
          description: Exchange website URL
        image:
          type: string
          description: Exchange logo URL
        facebook_url:
          type: string
          description: Facebook URL
        reddit_url:
          type: string
          description: Reddit URL
        telegram_url:
          type: string
          description: Telegram URL
        slack_url:
          type: string
          description: Slack URL
        other_url_1:
          type: string
          description: Other URL 1
        other_url_2:
          type: string
          description: Other URL 2
        twitter_handle:
          type: string
          description: Twitter handle
        has_trading_incentive:
          type: boolean
          description: Whether the exchange has trading incentive
        centralized:
          type: boolean
          description: Whether the exchange is centralized
        public_notice:
          type: string
          description: Public notice
        alert_notice:
          type: string
          description: Alert notice
        trust_score:
          type: number
          nullable: true
          description: Exchange trust score
        trust_score_rank:
          type: number
          nullable: true
          description: Exchange trust score rank
        coins:
          type: number
          description: Number of coins listed
        pairs:
          type: number
          description: Number of trading pairs
        trade_volume_24h_btc:
          type: number
          description: Exchange 24h trading volume in BTC
        tickers:
          type: array
          description: Exchange tickers
          items:
            type: object
            properties:
              base:
                type: string
                description: Ticker base currency
              target:
                type: string
                description: Ticker target currency
              market:
                type: object
                description: Exchange information
                properties:
                  name:
                    type: string
                    description: Exchange name
                  identifier:
                    type: string
                    description: Exchange identifier
                  has_trading_incentive:
                    type: boolean
                    description: Exchange trading incentive
              last:
                type: number
                description: Last price
              volume:
                type: number
                description: Trading volume
              converted_last:
                type: object
                description: Converted last price
                properties:
                  btc:
                    type: number
                  eth:
                    type: number
                  usd:
                    type: number
              converted_volume:
                type: object
                description: Converted trading volume
                properties:
                  btc:
                    type: number
                  eth:
                    type: number
                  usd:
                    type: number
              trust_score:
                type: string
                nullable: true
                description: Trust score
              bid_ask_spread_percentage:
                type: number
                description: Bid-ask spread percentage
              timestamp:
                type: string
                description: Ticker timestamp
              last_traded_at:
                type: string
                description: Last traded timestamp
              last_fetch_at:
                type: string
                description: Last fetch timestamp
              is_anomaly:
                type: boolean
                description: Whether ticker is anomalous
              is_stale:
                type: boolean
                description: Whether ticker is stale
              trade_url:
                type: string
                description: Trade URL
              token_info_url:
                type: string
                nullable: true
                description: Token info URL
              coin_id:
                type: string
                description: Base currency coin ID
              target_coin_id:
                type: string
                description: Target currency coin ID
              coin_mcap_usd:
                type: number
                description: Coin market cap in USD
        status_updates:
          type: array
          description: Status updates
          items:
            type: object
            properties:
              description:
                type: string
                description: Status update description
              category:
                type: string
                description: Status update category
              created_at:
                type: string
                description: Status update creation time
              user:
                type: string
                description: Status update user
              user_title:
                type: string
                description: Status update user title
              pin:
                type: boolean
                description: Whether status update is pinned
              project:
                type: object
                description: Project information
                properties:
                  type:
                    type: string
                    description: Project type
                  id:
                    type: string
                    description: Project ID
                  name:
                    type: string
                    description: Project name
                  image:
                    type: object
                    description: Project image URLs
                    properties:
                      thumb:
                        type: string
                      small:
                        type: string
                      large:
                        type: string
  securitySchemes:
    headerAuth:
      type: apiKey
      in: header
      name: x-cg-demo-api-key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)
    queryAuth:
      type: apiKey
      in: query
      name: x_cg_demo_api_key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)

````